/*
 * Midlet.java
 */

package ex1;

import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

/**
 *
 * @author  Alexander De Luca
 * @version 1.0
 */
public class Midlet extends MIDlet implements CommandListener {
    private static Command CLOSE_COMMAND = new Command("close", Command.EXIT, 1);
    private Form helloForm;
    private StringItem text;
    private Display display;
    
    private void createForm() {
        display = Display.getDisplay(this);
        helloForm = new Form("Hello World");
        helloForm.addCommand(CLOSE_COMMAND);
        helloForm.setCommandListener(this);
        text = new StringItem(null, "Hello World");
        helloForm.append(text);
        display.setCurrent(helloForm);
    }
    
    public void commandAction(Command comm, Displayable disp) {
        if(comm == CLOSE_COMMAND)
            this.exitMIDlet();
    }
    
    public void exitMIDlet() {                         
        display.setCurrent(null);
        destroyApp(true);
        notifyDestroyed();
    }
    
    public void startApp() {
        this.createForm();
    }
    
    public void pauseApp() {
    }
    
    public void destroyApp(boolean unconditional) {
    }
}
